<?php
class ControllerCommonHome extends Controller {
	public function index() {
		$formcreator = new formcreator($this->registry); $data['formcreator_id49'] = $formcreator->initFeedback(49);
		$this->document->setTitle($this->config->get('config_meta_title'));
		$this->document->setDescription($this->config->get('config_meta_description'));
		$this->document->setKeywords($this->config->get('config_meta_keyword'));
		$formcreator = new formcreator($this->registry); $data['formcreator_id53'] = $formcreator->initFeedback(53);

		if (isset($this->request->get['route'])) {
			$canonical = $this->url->link('common/home');
			if ($this->config->get('config_seo_pro') && !$this->config->get('config_seopro_addslash')) {
				$canonical = rtrim($canonical, '/');
			}
			$this->document->addLink($canonical, 'canonical');
		}

		$data['column_left'] = $this->load->controller('common/column_left');
		$data['column_right'] = $this->load->controller('common/column_right');
		$data['content_top'] = $this->load->controller('common/content_top');
		$data['content_bottom'] = $this->load->controller('common/content_bottom');
		$data['footer'] = $this->load->controller('common/footer');
		$data['header'] = $this->load->controller('common/header');

		$data['madeshop_home'] = $this->config->get('theme_madeshop_home') ? $this->config->get('theme_madeshop_home') : 0;
		

		$this->response->setOutput($this->load->view('common/home', $data));
	}
}